SRS 102003 not recognized

2014-03-28 05:15 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18437

Description

It is possible to select 102003 SRS. However, when used e.g. in gdalwarp, it returns an error:

ERROR 6: EPSG PCS/GCS code 102003 not found in EPSG support files. Is this a valid

EPSG coordinate system?

ERROR 1: Translating source or target SRS failed:

EPSG:102003

This in Debian sid; it works on Windows.

History

#1 - 2014-03-30 01:56 AM - Giovanni Manghi

it works fine on Ubuntu/Mint

#2 - 2014-03-30 08:29 AM - Paolo Cavallini

Which proj and gdal version?

Here:

proj 4.8.0-2

gdal 1.10.1+dfsg-4+b1

thanks

#3 - 2014-03-30 01:32 PM - Giovanni Manghi

Paolo Cavallini wrote:

Which proj and gdal version?

Here:

proj 4.8.0-2

gdal 1.10.1+dfsg-4+b1

thanks

QGIS version    2.3.0-Master    QGIS code revision    exported
Compiled against Qt    4.8.1    Running against Qt    4.8.1

Compiled against GDAL/OGR    1.10.0    Running against GDAL/OGR    1.10.0

Compiled against GEOS    3.3.8-CAPI-1.7.8    Running against GEOS    3.3.8-CAPI-1.7.8

PostgreSQL Client Version    9.1.3    SpatiaLite Version    4.1.0

QWT Version    5.2.2    PROJ.4 Version    480

QScintilla2 Version

#4 - 2014-04-07 09:37 AM - Paolo Cavallini

- File point.zip added

Further tests: reprojecting a shp (attached) throws no error, but the resulting SRS is not recognized, and a custom one is automatically generated and

applied. Possibly as a result, the OTF reprojection does not make the the layers to overlap.

#5 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-02-24 02:29 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Seems fixed now in QGIS 3

Files

point.zip 2.63 KB 2014-04-07 Paolo Cavallini

2025-05-19 2/2


